0 Replies Latest reply: Dec 2, 2012 8:26 AM by Peter Bell1
Peter Bell1 Level 1 Level 1 (5 points)

Are Lion and Mountain Lion compatible with a download of Apple Loops Utility 3.0 for people who have the download version of Logic 9 that doesn't include the utility?